Skip to main content
POST
Place a public event auction bid

Headers

X-Event-Invitation
string

Invitation capability required to reach an invite-only event; invite_token input is an alternative.

Example:

"issued-invitation-token"

X-Event-Waitlist-Offer
string

An active waitlist offer can authorize the invite-only page; waitlist_offer_token input is an alternative.

Example:

"issued-offer-token"

Path Parameters

clientSlugOrId
string
required

Public organization slug or numeric ID.

Example:

"example-foundation"

eventSlug
string
required

Event slug within the organization.

Example:

"annual-gala"

Body

application/json
auction_item_id
integer
required

Open public auction item belonging to this event.

Example:

42

bidder_email
string<email>
required

Bidder email.

Maximum string length: 255
Example:

"jane@example.org"

amount
number
required

Bid amount; must meet the current next minimum.

Required range: x >= 0
Example:

100

bidder_name
string | null

Bidder name.

Maximum string length: 255
Example:

"Jane Doe"

quantity
integer | null

Requested item units; defaults to one.

Required range: x >= 1
Example:

1

Response

Place a public event auction bid completed.

message
string

Bid confirmation.

Example:

"Bid placed."

data
object